await seam.acs.systems.list({
connected_account_id: "2283a842-27c5-474a-bd0e-4c959274efa0",
});
/*
[
{
"acs_access_group_count": 5,
"acs_system_id": "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
"acs_user_count": 20,
"connected_account_id": "2283a842-27c5-474a-bd0e-4c959274efa0",
"connected_account_ids": [
"a94aeed0-1ae0-4e49-9c23-8444c7ceba09"
],
"created_at": "2025-06-15T16:54:17.946425Z",
"default_credential_manager_acs_system_id": "5dde2def-3507-44f5-9521-7ca96aa4cd18",
"errors": [],
"external_type": "salto_ks_site",
"external_type_display_name": "Salto KS site",
"image_alt_text": "Salto KS site Logo",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
"is_credential_manager": false,
"location": {
"time_zone": "America/New_York"
},
"name": "My Access System",
"warnings": [],
"workspace_id": "172920be-1f4d-45d4-8519-ecc3bdee638f"
}
]
*/{
"acs_systems": [
{
"acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"image_alt_text": "<string>",
"image_url": "<string>",
"is_credential_manager": true,
"location": {
"time_zone": "<string>"
},
"name": "<string>",
"warnings": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"warning_code": "salto_ks_subscription_limit_almost_reached"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acs_access_group_count": 123,
"acs_user_count": 123,
"default_credential_manager_acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_type": "pti_site",
"external_type_display_name": "<string>",
"system_type": "pti_site",
"system_type_display_name": "<string>",
"visionline_metadata": {
"lan_address": "<string>",
"mobile_access_uuid": "<string>",
"system_id": "<string>"
}
}
]
}Systems
List ACS Systems
Returns a list of all access systems. Reference for GET /acs/systems/list in the Seam API, with request and response details.
GET
/
acs
/
systems
/
list
await seam.acs.systems.list({
connected_account_id: "2283a842-27c5-474a-bd0e-4c959274efa0",
});
/*
[
{
"acs_access_group_count": 5,
"acs_system_id": "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
"acs_user_count": 20,
"connected_account_id": "2283a842-27c5-474a-bd0e-4c959274efa0",
"connected_account_ids": [
"a94aeed0-1ae0-4e49-9c23-8444c7ceba09"
],
"created_at": "2025-06-15T16:54:17.946425Z",
"default_credential_manager_acs_system_id": "5dde2def-3507-44f5-9521-7ca96aa4cd18",
"errors": [],
"external_type": "salto_ks_site",
"external_type_display_name": "Salto KS site",
"image_alt_text": "Salto KS site Logo",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
"is_credential_manager": false,
"location": {
"time_zone": "America/New_York"
},
"name": "My Access System",
"warnings": [],
"workspace_id": "172920be-1f4d-45d4-8519-ecc3bdee638f"
}
]
*/{
"acs_systems": [
{
"acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"image_alt_text": "<string>",
"image_url": "<string>",
"is_credential_manager": true,
"location": {
"time_zone": "<string>"
},
"name": "<string>",
"warnings": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"warning_code": "salto_ks_subscription_limit_almost_reached"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acs_access_group_count": 123,
"acs_user_count": 123,
"default_credential_manager_acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_type": "pti_site",
"external_type_display_name": "<string>",
"system_type": "pti_site",
"system_type_display_name": "<string>",
"visionline_metadata": {
"lan_address": "<string>",
"mobile_access_uuid": "<string>",
"system_id": "<string>"
}
}
]
}Returns a list of all access systems.
To filter the list of returned access systems by a specific connected account ID, include the
connected_account_id in the request body. If you omit the connected_account_id parameter, the response includes all access systems connected to your workspace.Authorizations
client_sessionpat_with_workspaceconsole_session_with_workspaceclient_session_with_customerclient_session_with_customer_roapi_keysupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Customer key for which you want to list access systems.
Minimum string length:
1ID of the connected account by which you want to filter the list of access systems.
String for which to search. Filters returned access systems to include all records that satisfy a partial match using name or acs_system_id.
Minimum string length:
1Response
OK
Show child attributes
Show child attributes
Was this page helpful?